ur_rna.StructureEditor.services

## Enum RnaDrawController.SelectionType

- java.lang.Object
- - java.lang.Enum<RnaDrawController.SelectionType>
  - - ur_rna.StructureEditor.services.RnaDrawController.SelectionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RnaDrawController.SelectionType>
  Enclosing class:
    RnaDrawController

      public static enum RnaDrawController.SelectionType
      extends java.lang.Enum<RnaDrawController.SelectionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Branch`
    `Domain`
    `DomainOrBranch`
    `Helix`
    `HelixOrLoop`
    `Individual`
    `Loop`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RnaDrawController.SelectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RnaDrawController.SelectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Branch

          public static final RnaDrawController.SelectionType Branch

    - #### Domain

          public static final RnaDrawController.SelectionType Domain

    - #### DomainOrBranch

          public static final RnaDrawController.SelectionType DomainOrBranch

    - #### Helix

          public static final RnaDrawController.SelectionType Helix

    - #### HelixOrLoop

          public static final RnaDrawController.SelectionType HelixOrLoop

    - #### Individual

          public static final RnaDrawController.SelectionType Individual

    - #### Loop

          public static final RnaDrawController.SelectionType Loop

  - ### Method Detail

    - #### valueOf

          public static RnaDrawController.SelectionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static RnaDrawController.SelectionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RnaDrawController.SelectionType c : RnaDrawController.SelectionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared